{*produktSleva*}
{snippet sleva}
    <section class="row align-items-start py-2">
        <h6 class="bg-menu-warning py-2">Slevy</h6>
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th scope="col"><i class="fa-solid fa-money-bill me-2"></i>Cena</th>
                        <th scope="col"><i class="fa-solid fa-money-bill me-2"></i>Cena s Dph</th>
                        <th scope="col"><i class="fa-solid fa-calendar-day me-2"></i>Platná od</th>
                        <th scope="col"><i class="fa-solid fa-calendar-days me-2"></i>Platná do</th>
                        <th scope="col"></th>
                    </tr>
                </thead>
                <tbody>
                    {if !empty($slevy)}
                        {foreach $slevy as $sleva}
                            <tr>
                                <td>{$sleva->cena|number:2, ',', ' '},- Kč</td>
                                <td>{$sleva->cena_dph|number:2, ',', ' '},-Kč</td>
                                <td class="text-success">{$sleva->plat_od|date:'d.m.Y'}</td>
                                <td class="text-info">{if $sleva->plat_do}{$sleva->plat_do|date:'d.m.Y'}{else}<span class="text-info">Neurčito</span>{/if}</td>
                                <td>
                                    <div class="d-flex align-items-center">
                                        <a n:href="delSleva! $sleva->id" class="text-danger ajax">
                                            <i class="fas fa-trash"></i>
                                        </a>
                                    </div>
                                </td>
                            </tr>
                        {/foreach}
                    {else}
                        <tr>
                            <td class="text-center" colspan="5">Sleva není nastavena</td>
                        </tr>
                    {/if}
                </tbody>
            </table>
        </div>
        <div class="col py-2">
            <a class="btn btn-success" data-bs-toggle="modal" data-bs-target="#novaSlevaModal">
                <i class="fas fa-plus me-2"></i>Přidat
            </a>
        </div>
    </section>
{/snippet}

{*Modal nová sleva*}
<div class="modal fade" id="novaSlevaModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-success text-white">
                <h5 class="modal-title mb-0">Nová sleva</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="col-12 col-md-6 offset-md-3">
                    <div class="py-2">
                        <label class="form-label">Cena bez Dph</label>
                        <div class="input-group">
                            <input class="form-control text-end cena-sleva">
                            <span class="input-group-text" >Kč</span>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-md-6 offset-md-3">
                    <div class="py-2">
                        <label class="form-label">Cena s Dph</label>
                        <div class="input-group">
                            <input class="form-control text-end cena-sleva-dph">
                            <span class="input-group-text" >Kč</span>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-md-6 offset-md-3">
                    <div class="py-2">
                        <label class="form-label">Platná od</label>
                        <div class="input-group">
                            <span class="input-group-text" ><i class="far fa-calendar-alt"></i></span>
                            <input class="form-control sleva-od datepicker">
                        </div>
                    </div>
                </div>
                <div class="col-12 col-md-6 offset-md-3">
                    <div class="py-2">
                        <label class="form-label">Platná do</label>
                        <div class="input-group">
                            <span class="input-group-text" ><i class="far fa-calendar-alt"></i></span>
                            <input class="form-control sleva-do datepicker">
                        </div>
                        <div class="form-text">při nevyplnění bude nastaveno na dobu neurčitou</div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                <a href="#" class="btn btn-outline-success" onclick="saveNewSleva()">Uložit</a>
            </div>
        </div>
    </div>
</div>
{*===================== scripts =====================*}
<script>
    $(document).ready(function(){
        $('.cena-sleva').change(function(){
            calculateSlevaTaxPrice();
        });
        $('.cena-sleva-dph').change(function(){
            calculateSlevaBasePrice();
        });
    });
    function calculateSlevaBasePrice(){
        var taxRule = 21;
        var taxPrice = $('.cena-sleva-dph').val().replace(',', '.');
        $('.cena-sleva-dph').val(parseFloat(taxPrice).toFixed(2));
        var tax = '1.'+taxRule;
        var price = parseFloat(taxPrice/tax).toFixed(2);
        $('.cena-sleva').val(price);
    }

    function calculateSlevaTaxPrice(){
        var taxRule = 21;
        var basePrice = $('.cena-sleva').val().replace(',', '.');
        $('.cena-sleva').val(parseFloat(basePrice).toFixed(2));
        var tax = '1.'+taxRule;
        var price = parseFloat(basePrice*tax).toFixed(2);
        $('.cena-sleva-dph').val(price);
    }

    function saveNewSleva()
    {
        var data = [];
        data['id'] = {$produktId};
        data['cena']  = $('.cena-sleva').val();
        data['cenaDph'] = $('.cena-sleva-dph').val();
        data['od'] = $('.sleva-od').val();
        data['do'] = $('.sleva-do').val();

        if(data['cena'] == ''){
            alert('Musíte vyplnit cenu bez Dph');
            $('.cena-sleva').focus();
        }else{
            if(data['cenaDph'] == ''){
                alert('Musíte vyplnit cenu s Dph');
                $('.cena-sleva-dph').focus();
            }else{
                if(data['od'] == ''){
                    alert('Musíte vyplnit platnost Od');
                    $('.sleva-od').focus();
                }else{
                    naja.makeRequest('GET', {link saveSleva}, { {$control->getParameterId('data')} : data })
                        .then((payload) => {
                            $('#novaSlevaModal').modal('hide');
                            $('.cena-sleva').val('');
                            $('.cena-sleva-dph').val('');
                            $('.sleva-od').val('');
                            $('.sleva-do').val('');
                        });
                }
            }
        }
    }
</script>